View Issue Details

IDProjectCategoryView StatusLast Update
14346Bug reports[All Projects] Import/Exportpublic2019-04-30 09:11
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14346: Import vv : unable to update only token and/or date
Description

When trying to import a vv file with only id + token + date : receive «Import failed: No answers could be mapped.»

Steps To Reproduce

Import included lsa, try to import csv file as VV updating existing answer value (see screenshot)

Additional Information

Issue is here : https://github.com/LimeSurvey/LimeSurvey/blob/0c252345ea6961ccacfda15ecb036dd5063652e8/application/helpers/admin/import_helper.php#L1928
There are non reason of this testing : if we have one (and only one) value to be update : we can import.
Then we must count current value without 'id' (then > 0 or > 1)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Related Changesets

LimeSurvey: master cd01fa92

2018-12-14 10:02:46

DenisChenu

Details Diff
Fixed issue 14346: Import vv : unable to update only token and/or date Affected Issues
14346
mod - application/helpers/admin/import_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-12-14 09:49 DenisChenu New Issue
2018-12-14 09:49 DenisChenu Status new => assigned
2018-12-14 09:49 DenisChenu Assigned To => DenisChenu
2018-12-14 09:49 DenisChenu File Added: Capture d’écran du 2018-12-14 09-44-59.png
2018-12-14 09:49 DenisChenu File Added: survey_archive_bugVVimport.lsa
2018-12-14 09:49 DenisChenu File Added: vvexport_reimport-noresponse.csv
2018-12-14 10:08 DenisChenu Changeset attached => LimeSurvey master cd01fa92
2018-12-14 10:08 DenisChenu Note Added: 49964
2018-12-14 10:08 DenisChenu Resolution open => fixed
2018-12-15 10:02 DenisChenu Status assigned => resolved
2018-12-15 10:02 DenisChenu Fixed in Version => 3.15.x
2019-04-30 09:11 c_schmitz Status resolved => closed